gstreamer-0_10-plugins-gl-0.10.3-16.1.i586.rpm


Advertisement

Description

gstreamer-0_10-plugins-gl - GStreamer OpenGL Plug-Ins

Distribution: openSUSE 42.1
Repository: openSUSE Multimedia Libs all
Package name: gstreamer-0_10-plugins-gl
Package version: 0.10.3
Package release: 16.1
Package architecture: i586
Package type: rpm
Installed size: 256.38 KB
Download size: 77.55 KB
Official Mirror: ftp.gwdg.de
This module contains integration libraries and plug-ins for using OpenGL within GStreamer pipelines. This module contains elements for, among others: * output: glimagesink * adapters: glupload, gldownload * video processing: gldeinterlace, glcolorscale * GL effects: glfiltersobel, glfilterblur, gleffects, others * sources: gltestsrc

Alternatives

Provides

  • gst-plugins-gl = 0.10.3
  • gstreamer-0_10-plugins-gl = 0.10.3-16.1
  • gstreamer-0_10-plugins-gl(x86-32) = 0.10.3-16.1
  • gstreamer0.10(element-glbumper)
  • gstreamer0.10(element-glcolorscale)
  • gstreamer0.10(element-gldeinterlace)
  • gstreamer0.10(element-gldifferencematte)
  • gstreamer0.10(element-gldownload)
  • gstreamer0.10(element-gleffects)
  • gstreamer0.10(element-glfilterapp)
  • gstreamer0.10(element-glfilterblur)
  • gstreamer0.10(element-glfiltercube)
  • gstreamer0.10(element-glfilterglass)
  • gstreamer0.10(element-glfilterlaplacian)
  • gstreamer0.10(element-glfilterreflectedscreen)
  • gstreamer0.10(element-glfiltersobel)
  • gstreamer0.10(element-glimagesink)
  • gstreamer0.10(element-glmosaic)
  • gstreamer0.10(element-gloverlay)
  • gstreamer0.10(element-glshader)
  • gstreamer0.10(element-gltestsrc)
  • gstreamer0.10(element-glupload)
  • libgstlibvisualgl.so
  • libgstopengl.so

    Install Howto

    1. Add the openSUSE Multimedia Libs repository:
      # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/libs/openSUSE_Leap_42.1/ opensuse-multimedia-libs
    2. Install gstreamer-0_10-plugins-gl rpm package:
      # zypper install gstreamer-0_10-plugins-gl

    Files

    • /usr/lib/gstreamer-0.10/libgstlibvisualgl.so
    • /usr/lib/gstreamer-0.10/libgstopengl.so
    • /usr/share/doc/packages/gstreamer-0_10-plugins-gl/AUTHORS
    • /usr/share/doc/packages/gstreamer-0_10-plugins-gl/COPYING
    • /usr/share/doc/packages/gstreamer-0_10-plugins-gl/NEWS
    • /usr/share/doc/packages/gstreamer-0_10-plugins-gl/README
    • /usr/share/doc/packages/gstreamer-0_10-plugins-gl/RELEASE
    • /usr/share/doc/packages/gstreamer-0_10-plugins-gl/REQUIREMENTS

    Changelog

    2012-10-10 - idonmez@suse.com - Add explicit glu dependency

    2012-05-11 - vuntz@opensuse.org - Update to version 0.10.3: + fix build and cocoa examples on MacOSX + more OpenGL ES 2.0 friendly + error out instead of doing nothing if an OpenGL feature is not present + gloverlay: add support to manage texture ratio and can load jpeg files + glshader: new element that load shader from files + glimagesink: Totem compatibility, fix pixel-aspect-ratio property + libvisual-gl: new plugin libvisual-gl, new element libvisual_gl_projectM + Bugs fixed: bgo#310775, bgo#572767, bgo#600195, bgo#630525, bgo#631019, bgo#636070, bgo#637260, bgo#651035, bgo#664367, bgo#665102, bgo#671734. - Add libjpeg-devel BuildRequires: needed for the new jpeg support in gloverlay. - Add pkgconfig(libvisual-0.4) BuildRequires: needed to build the new libvisual-gl plugin. - Stop passing non-existing --disable-schemas-install option to configure.

    2011-04-24 - toddrme2178@gmail.com - Added 32bit compatibility libraries - Added main package dependency to -devel pacakge (fix for RPMLINT warning)

    2011-02-14 - sbrabec@suse.cz - Added support for translation-update-upstream.

    2010-10-12 - vuntz@opensuse.org - Make devel subpackage installable: it used to require libgstgl-0.10-1 instead of libgstgl-0_10-1.

    2010-09-04 - vuntz@opensuse.org - Update to version 0.10.2. Changes since 0.10.1.5 pre-release: + Update .po files.

    2010-08-30 - dimstar@opensuse.org - Merge the -doc package into -devel.

    2010-08-25 - dimstar@opensuse.org - Initial package of gstreamer-0_10-plugins-gl (0.10.1.5)

    Advertisement
    Advertisement